#pragma once
#include <cstdint>

namespace panda
{
	class Random {
		public:
			Random(uint64_t seed = 521288629);
			void SetSeed(uint64_t seed);

			uint64_t Next();
			double Next_UNI();
			double Range(double min, double max);
		
		private:
			uint64_t s[4];
	};
}